Update risk rules
curl --request PUT \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maxOrderSize: 123,
maxDailyLoss: 123,
maxOpenPositions: 123,
maxOrdersPerMinute: 123,
cooldownAfterLossSec: 123,
requireApprovalAbove: 123
})
};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
payload = {
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Trading and account
Update risk rules
Update account-level trading safeguards.
PUT
/
api
/
risk-rules
Update risk rules
curl --request PUT \
--url https://api.useblueprints.ai/api/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maxOrderSize: 123,
maxDailyLoss: 123,
maxOpenPositions: 123,
maxOrdersPerMinute: 123,
cooldownAfterLossSec: 123,
requireApprovalAbove: 123
})
};
fetch('https://api.useblueprints.ai/api/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/risk-rules"
payload = {
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"maxOrderSize": 123,
"maxDailyLoss": 123,
"maxOpenPositions": 123,
"maxOrdersPerMinute": 123,
"cooldownAfterLossSec": 123,
"requireApprovalAbove": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Use this endpoint to change account-wide safeguards such as max order size, daily loss, open positions, order rate, cooldowns, and approval thresholds.
Review changes carefully before saving. These settings affect live trading controls for the authenticated account. API keys need
risk:write.
curl https://api.useblueprints.ai/api/risk-rules \
-X PUT \
-H "Authorization: Bearer bp_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"maxOrderSize":100,"maxDailyLoss":250,"maxOpenPositions":5}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json